## ddtc 0.14

=== debian/changelog ===
ddtc (0.14) unstable; urgency=low

  * use 'send' instead of 'smtpsend' (closes: bug#217868)
    thanks to Bill Allombert
  * do not purge incoming mails (closes: bug#255027)
  * add info on duplicate files in the 'rev' directory in manpage

 -- Nicolas Bertolissio <bertol@debian.org>  Fri, 18 Jun 2004 21:36:03 +0200

ddtc (0.13.1) unstable; urgency=low

  * fix missing changelog entry:
  * intercept error when sending mail (closes: bug#209363)

 -- Nicolas Bertolissio <bertol@debian.org>  Thu,  6 Nov 2003 23:30:35 +0100

ddtc (0.13) unstable; urgency=low

  * update manpages
  * translate one missing string in fr.po
  * Standards-version: 3.6.1
  * add server address in config file
  * new vim syntax files
    thanks to Lorenzo Cappelletti for theses very good work
  * fix error when description is empty (closes: bug#216314)
  * change maintainer's address to Debian's one

 -- Nicolas Bertolissio <bertol@debian.org>  Sat, 25 Oct 2003 00:13:49 +0200

ddtc (0.12.1) unstable; urgency=low

  * improve `po/Makefile' so it find languages from `*.po'
  * fix package name search (closes: bug#205869)
  * add `Recommends: libterm-readline-gnu-perl'
  * fix copy/paste trouble in bug interactive management
    thanks to Beatrice Torracca for reporting this bug
  * fix double menu letters in menu definitions
  * new server address (desc3)

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Sat, 30 Aug 2003 23:08:09 +0200

ddtc (0.12) unstable; urgency=low

  * add more strings to i18n
  * add interactive mode
    thanks to Matthias Juchem for requesting this feature
  * execute parse commande if STDIN is not tty* and no command is provided
  * execute in interactive mode if STDIN and STDOUT are tty* and no command
    is provided
  * remove no longuer needed automatic convertion code
  * `ls_dir' can grep on file extention
    thanks to Matthias Juchem for his patch
  * fix `debug' statement position in `parse'
  * test and create directories only when really needed
  * fix missing application name in `Term::ReadLine::new' call
  * add filename in error messages

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Wed, 13 Aug 2003 09:44:32 +0200

ddtc (0.11) unstable; urgency=low

  * clean `debian/' directory
    - add `Build-Depends-Indep: perl
    - clean `rules'
    thanks to Denis Barbier for all these
  * use `File::Spec::Functions' to deal with filenames and directories
  * add internationalisation
  * add French localisation
  * fix sending `noguide' to the server if no command to send

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Sun, 27 Jul 2003 16:03:43 +0200

ddtc (0.10.2) unstable; urgency=low

  * fix spelling in manpages
  * add `acheck' as suggested package
  * Standards-version: 3.6.0
    - recode changelog to utf-8
  * remove useless dependancy on `sharutils'

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Sun, 20 Jul 2003 14:25:36 +0200

ddtc (0.10.1) unstable; urgency=low

  * fix `ddtc.vim' highlighting troubles (closes: bug#200295)
  * fix missing end-of-line when testing for locally accepted review
  * turn `sent' into `bugged' for review statistics
  * change server address

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Thu, 10 Jul 2003 09:09:45 +0200

ddtc (0.10) unstable; urgency=low

  * use logical variable name in various places
    thanks to Bartosz Zapałowski for reporting this bug
  * make review diffs like bug ones
  * add selection feature for review like the bug one
  * modify manpages and `ddtc.vim' accordingly
  * fix italian word in `vim/README'
  * fix missing language in `listtranslatedpackages' command
    (closes: bug#200155)
  * fix typos in french manpages,
    thanks to the reviewers from debian-l10n-french
  * issue a warning if description and/or translation is missing when parsing
    (closes: bug#200158)
  * add some comments
  * fix diffing of `Description-XX:' lines with charset different from ddts
    standard one

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Sun,  6 Jul 2003 14:48:44 +0200

ddtc (0.9.2) unstable; urgency=low

  * fix test against line starting with a dot and something else
  * fix test for number of paragraphs
  * change server address in `procmailrc' sample file
  * add links to faq, translator and reviewer guides in manpage
  * fix copyright now ddtc is in Debian archive (closes: bug#196599)
  * add `ddtc.vim' install info (closes: bug#197476)

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Tue, 17 Jun 2003 21:28:05 +0200

ddtc (0.9.1) unstable; urgency=low

  * fix usage message
  * gather vim files into `vim/' directory
  * add vim syntax from Emanuele Aina
  * fix `README' about upgrading
  * make source tree clearer:
    - move files for `/usr/share/doc/ddtc/' to `misc/'
    - move manpages sources to `man/'
  * change server address due to server troubles (closes: bug#196591)
  * add test against line starting with a dot and something else
  * add test for number of paragraphs
  * add short explaination on tests in manpage
  * Standards-version: 3.5.10

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Sun,  8 Jun 2003 13:14:15 +0200

ddtc (0.9) unstable; urgency=low

  * when sending descriptions back to the server, move files after mail build
    (closes: bug#191516)
  * add new file extension for locally accepted description, and do automatic
    conversion after first `mail' command (closes: bug#191436)
  * fix spelling mistake in French manpage
  * remove `mail_single' option, always send one mail (was default)
  * use `File::Path' module to create directories
  * use `File::Copy' module to move files
  * fix line length test
  * format check outputs a `^' on error
  * add ddts commands
  * check against ddts command before sending
  * remove old commands `ask_trans' and `ask_review', print warning to use new
    `get' and `review'
  * remove `help' and `version' commands, these are options

 -- Nicolas Bertolissio <nico.bertol@free.fr>  Sun, 18 May 2003 10:38:05 +0200

ddtc (0.8.3) unstable; urgency=low



## ddtc 0.17

=== po/Makefile ===
XGETTEXT = xgettext
MSGFMT = msgfmt
MSGMERGE = msgmerge

LOCALEDIR = "usr/share/locale"

.SUFFIXES: .po .mo .pot

%.mo: %.po
	$(MSGFMT) -o $@ $<

%.pox: %.po ddtc.pot
	$(MSGMERGE) -o $@ $^

LANG = $(basename $(shell ls *.po))
MO = $(addsuffix .mo,$(LANG))
POX = $(addsuffix .pox,$(LANG))

all: $(MO)
update: $(POX)

ddtc.pot: ../ddtc ../Package.pm ../Common.pm ../Menu.pm
	$(XGETTEXT)\
		--copyright-holder="2001-2003 Nicolas Bertolissio"\
		--msgid-bugs-address="Nicolas Bertolissio <nico.bertol@free.fr>"\
		--keyword=__\
		--output=$@\
		../ddtc ../*.pm

install: $(MO)
	for i in $(MO) ; do \
	  t=$(DESTDIR)/$(LOCALEDIR)/`basename $$i .mo`/LC_MESSAGES ;\
	  install -d $$t ;\
	  install -m 644 $$i $$t/ddtc.mo ;\
	done

clean:
	$(RM) $(MO) *~ ddtc.pot *.pox

=== debian/changelog ===
ddtc (0.17) unstable; urgency=low

  * fix typos in READMEs
    thanks to Cristian Rigamonti for his patches (closes: bug#268069)
  * fix server address
    thanks to Ludovic Rousseau for his patch (closes: bug#255386)
  * add some info about customisation of vim syntax file
    thanks to Lorenzo Cappelletti for this

 -- Nicolas Bertolissio <bertol@debian.org>  Sat,  9 Oct 2004 22:25:51 +0200

ddtc (0.16) unstable; urgency=low

  * purge incoming mail to collect disk garbage

 -- Nicolas Bertolissio <bertol@debian.org>  Mon,  9 Aug 2004 15:16:20 +0200

ddtc (0.15) unstable; urgency=low

  * vim syntax files must be unzipped
    (closes: bug#255387)
  * fix email address in procmailrx sample file
    Thanks to Ludovic Rousseau for his patch (closes: bug#255386)
  * fix command separator match in 'ddts_command'
    (closes: bug#259556)
  * do not move unexisting directory
    thanks to Matthias Lutz for reporting this bug (closes: bug#259716)

 -- Nicolas Bertolissio <bertol@debian.org>  Tue, 27 Jul 2004 22:44:21 +0200

=== debian/control ===
Source: ddtc
Section: text
Priority: optional
Maintainer: Nicolas Bertolissio <bertol@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), perl, gettext
Standards-Version: 3.6.1

Package: ddtc
Architecture: all
Depends: perl, libmime-perl, libmime-base64-perl, libconfig-general-perl, libalgorithm-diff-perl (>= 1.13), libtext-iconv-perl
Conflicts: ddts-script
Recommends: liblocale-gettext-perl, libterm-readline-gnu-perl
Suggests: acheck
Description: Deal with ddts mails
 ddtc stands for Debian Description Translation Client. It's a Perl script to
 help both translators and reviewers to deal with ddts mails. It parses mails
 from the ddts, splits them into individual package files, sends translations,
 reviews and patches buggy translations.
 .
 Supports only package description (pdesc) for the moment.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package  := ddtc
manpages := 1
manpagesrc := 5
languages := fr

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	set -ex;\
	for i in $(manpages); do\
		pod2man --section=$$i man/$(package).$$i.pod > man/$(package).$$i;\
		for lang in $(languages); do\
			if test -e man/$(package).$$lang.$$i.pod; then\
				pod2man --section=$$i man/$(package).$$lang.$$i.pod > man/$(package).$$lang.$$i;\
			fi\
		done\
	done;\
	for i in $(manpagesrc); do\
		pod2man --section=$$i man/$(package)rc.$$i.pod > man/$(package)rc.$$i;\
		for lang in $(languages); do\
			if test -e man/$(package)rc.$$lang.$$i.pod; then\
				pod2man --section=$$i man/$(package)rc.$$lang.$$i.pod > man/$(package)rc.$$lang.$$i;\
			fi\
		done\
	done
	$(MAKE) -C po all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	set -ex; find man -name \*.[1-9] | xargs rm -f;
	$(MAKE) -C po $@
	dh_clean build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	set -ex; install -m 0755 $(package) debian/$(package)/usr/bin
	set -ex; install -m 0644 *.pm debian/$(package)/usr/share/perl5/Ddtc/
	$(MAKE) -C po DESTDIR=`pwd`/debian/$(package) install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs -n misc/*
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman man/*.[1-9];
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ddtc 0.17.1

=== debian/changelog ===
ddtc (0.17.1) unstable; urgency=low

  * fix FTBFS with new make version (closes: bug#352786)

 -- Nicolas Bertolissio <bertol@debian.org>  Sun, 19 Feb 2006 22:08:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 			if test -e man/$(package).$$lang.$$i.pod; then\
 				pod2man --section=$$i man/$(package).$$lang.$$i.pod > man/$(package).$$lang.$$i;\
 			fi\
-		done\
+		done \
 	done;\
 	for i in $(manpagesrc); do\
 		pod2man --section=$$i man/$(package)rc.$$i.pod > man/$(package)rc.$$i;\
@@ -36,7 +36,7 @@
 			if test -e man/$(package)rc.$$lang.$$i.pod; then\
 				pod2man --section=$$i man/$(package)rc.$$lang.$$i.pod > man/$(package)rc.$$lang.$$i;\
 			fi\
-		done\
+		done \
 	done
 	$(MAKE) -C po all
 	touch build-stamp

## ddtc 0.17.1+nmu1

=== debian/changelog ===
ddtc (0.17.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix POD files to be compatible with perl 5.18. (closes: bug#723795)
  * debian/compat: added, set to 3. 
  * debian/rules: Remove DH_COMPAT=3.
  * debian/changelog: Add two missing colons in changelog date.
  * debian/control: 
      - Add ${misc:Depends} to Depends.
      - Replace Build-Depends-Indep by Build-Depends, for the clean target.
    + From a patch by Salvatore Bonaccorso:
      - Remove libmime-base64-perl from Depends. See
      http://lists.debian.org/debian-perl/2003/09/msg00014.html
      - Substitute libmime-perl Depends with libmime-tool-perl
      (Closes: #601265).

 -- Bill Allombert <ballombe@debian.org>  Wed, 09 Oct 2013 23:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Nicolas Bertolissio <bertol@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), perl, gettext
+Build-Depends: debhelper (>> 3.0.0), perl, gettext
 Standards-Version: 3.6.1
 
 Package: ddtc
 Architecture: all
-Depends: perl, libmime-perl, libmime-base64-perl, libconfig-general-perl, libalgorithm-diff-perl (>= 1.13), libtext-iconv-perl
+Depends: perl, libmime-tools-perl, libconfig-general-perl, libalgorithm-diff-perl (>= 1.13), libtext-iconv-perl, ${misc:Depends}
 Conflicts: ddts-script
 Recommends: liblocale-gettext-perl, libterm-readline-gnu-perl
 Suggests: acheck

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
 
 package  := ddtc
 manpages := 1

## ddtc 0.17.2

=== debian/changelog ===
ddtc (0.17.2) unstable; urgency=medium

  * QA upload.
  * Set the maintainer to the QA team.
  * Build with debhelper 9 (closes: #800279)
  * Update FSF's address.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 12 Feb 2016 06:40:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_testdir
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build-indep: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
 	set -ex;\
@@ -45,10 +45,10 @@
 	$(MAKE) -C po $@
 	dh_clean build-stamp configure-stamp
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	set -ex; install -m 0755 $(package) debian/$(package)/usr/bin
 	set -ex; install -m 0644 *.pm debian/$(package)/usr/share/perl5/Ddtc/
@@ -91,3 +91,6 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
+
+build: build-indep
+build-arch:

## ddtc 0.17.2+nmu1

=== debian/changelog ===
ddtc (0.17.2+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 20 May 2022 19:37:43 +0200

## ddtc 0.17.3

=== debian/changelog ===
ddtc (0.17.3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format (Closes: #1007441).

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 23:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ddtc
 Section: text
 Priority: optional
-Maintainer: Nicolas Bertolissio <bertol@debian.org>
-Build-Depends: debhelper (>> 3.0.0), perl, gettext
-Standards-Version: 3.6.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>> 9), perl, gettext
+Standards-Version: 3.9.7
 
 Package: ddtc
 Architecture: all

## ddtc 0.17.4

=== debian/changelog ===
ddtc (0.17.4) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: Create autopkgtest. 

 -- Leonardo Rodrigues Pereira <leontecnicalonline@gmail.com>  Sat, 23 Nov 2024 11:51:50 -0300

## ddtc 0.17.5

=== debian/changelog ===
ddtc (0.17.5) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 3.9.7 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 0.4.12, 0.4.4, 0.1.5.
  * Added dependency on sensible-utils for sensible-editor.
  * Added d/gbp.conf to describe branch layout.
  * Remove the need for root build, and flag this in d/control.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 05 Dec 2024 20:12:59 +0100

=== debian/control ===
Source: ddtc
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               perl,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ddtc
Vcs-Git: https://salsa.debian.org/debian/ddtc.git

Package: ddtc
Architecture: all
Depends: libalgorithm-diff-perl (>= 1.13),
         libconfig-general-perl,
         libmime-tools-perl,
         libtext-iconv-perl,
         perl,
         sensible-utils,
         ${misc:Depends},
Conflicts: ddts-script,
Recommends: liblocale-gettext-perl,
            libterm-readline-gnu-perl,
Suggests: acheck,
Description: Deal with ddts mails
 ddtc stands for Debian Description Translation Client. It's a Perl script to
 help both translators and reviewers to deal with ddts mails. It parses mails
 from the ddts, splits them into individual package files, sends translations,
 reviews and patches buggy translations.
 .
 Supports only package description (pdesc) for the moment.

=== debian/rules ===
--- 
+++ 
@@ -40,14 +40,12 @@
 
 clean:
 	dh_testdir
-	dh_testroot
 	set -ex; find man -name \*.[1-9] | xargs rm -f;
 	$(MAKE) -C po $@
 	dh_clean build-stamp configure-stamp
 
 install: build-indep
 	dh_testdir
-	dh_testroot
 	dh_prep
 	dh_installdirs
 	set -ex; install -m 0755 $(package) debian/$(package)/usr/bin
@@ -58,7 +56,6 @@
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
-	dh_testroot
 #	dh_installdebconf
 	dh_installdocs -n misc/*
 #	dh_installexamples

=== debian/tests/control ===
Test-Command: ddtc --help | grep "^Usage: ddtc"
Restrictions: superficial

## ddtc 0.17.5build1

=== debian/changelog ===
ddtc (0.17.5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:47:43 +0000
